Get current logged-in user info
curl --request GET \
--url {schemes}://api.upsun.com/me \
--header 'Authorization: Bearer <token>'import requests
url = "{schemes}://api.upsun.com/me"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('{schemes}://api.upsun.com/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"username": "<string>",
"display_name": "<string>",
"status": 123,
"mail": "jsmith@example.com",
"ssh_keys": [
{
"key_id": 123,
"uid": 123,
"fingerprint": "<string>",
"title": "<string>",
"value": "<string>",
"changed": "<string>"
}
],
"has_key": true,
"projects": [
{
"id": "<string>",
"name": "<string>",
"title": "<string>",
"cluster": "<string>",
"cluster_label": "<string>",
"region": "<string>",
"region_label": "<string>",
"uri": "<string>",
"endpoint": "<string>",
"license_id": 123,
"owner": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"owner_info": {
"type": "<string>",
"username": "<string>",
"display_name": "<string>"
},
"plan": "<string>",
"subscription_id": 123,
"status": "<string>",
"vendor": "<string>",
"vendor_label": "<string>",
"vendor_website": "<string>",
"vendor_resources": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"sequence": 123,
"roles": [
"<string>"
],
"picture": "<string>",
"tickets": {}
}Users
Get current logged-in user info
deprecated
Retrieve information about the currently logged-in user (the user associated with the access token).
GET
/
me
Get current logged-in user info
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
200 - application/json
The user object.
The user object.
The UUID of the owner.
The UUID of the owner.
The username of the owner.
The full name of the owner.
Status of the user. 0 = blocked; 1 = active.
The email address of the owner.
The list of user's public SSH keys.
Show child attributes
Show child attributes
The indicator whether the user has a public ssh key on file or not.
Show child attributes
Show child attributes
The sequential ID of the user.
The user role name.
The URL of the user image.
Number of support tickets by status.
Last modified on June 16, 2026
Was this page helpful?